#### Previous topic

scipy.interpolate.PchipInterpolator.roots

#### Next topic

scipy.interpolate.krogh_interpolate

# scipy.interpolate.barycentric_interpolate

`scipy.interpolate.``barycentric_interpolate`(xi, yi, x, axis=0)

  Convenience function for polynomial interpolation.

  Constructs a polynomial that passes through a given set of points, then evaluates the polynomial. For reasons of numerical stability, this function does not compute the coefficients of the polynomial.

  This function uses a “barycentric interpolation” method that treats the problem as a special case of rational function interpolation. This algorithm is quite stable, numerically, but even in a world of exact computation, unless the x coordinates are chosen very carefully - Chebyshev zeros (e.g. cos(i*pi/n)) are a good choice - polynomial interpolation itself is a very ill-conditioned process due to the Runge phenomenon.

  Parameters:

  xi : array_like

  > 1-d array of x coordinates of the points the polynomial should pass through

  yi : array_like

  > The y coordinates of the points the polynomial should pass through.

  x : scalar or array_like

  > Points to evaluate the interpolator at.

  axis : int, optional

  > Axis in the yi array corresponding to the x-coordinate values.

  Returns:

  y : scalar or array_like

  > Interpolated values. Shape is determined by replacing the interpolation axis in the original array with the shape of x.

  See also

  `BarycentricInterpolator`

  Notes

  Construction of the interpolation weights is a relatively slow process. If you want to call this many times with the same xi (but possibly varying yi or x) you should use the class `BarycentricInterpolator`. This is what this function uses internally.